/*********************************************************************
*                    SEGGER Microcontroller GmbH                     *
*                        The Embedded Experts                        *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------

File    : main.c
Purpose : Generic application start

*/

#include <stdio.h>
#include <stdlib.h>

#include "BSP.h"
#include "BSP_UART.h"

/*********************************************************************
*
*       Defines, fixed
*
**********************************************************************
*/

#define _UART_PORT          0             // use 0 for RS232 adapter on ExpIf 0 header.
#define _UART_BAUDRATE      115200
#define _UART_DATABITS      8
#define _UART_PARITY        BSP_UART_PARITY_NONE
#define _UART_STOPBITS      1

/*********************************************************************
*
*       External prototypes
*
**********************************************************************
*/

//
// from SEGGER_RTL_PRINOPS_UART_*.c :
//
void RTL_UART_Init(unsigned int Unit, unsigned long Baudrate, unsigned char NumDataBits, unsigned char Parity, unsigned char NumStopBits);

/*********************************************************************
*
*       main()
*
*  Function description
*   Application entry point.
*/
int main(void) {
  char c;

  BSP_Init();
  RTL_UART_Init(_UART_PORT, _UART_BAUDRATE, _UART_DATABITS, _UART_PARITY, _UART_STOPBITS);

  for (;;) {
    //
    // This simply echoes stdin back to stdout, blinking the LED once per character.
    //
    c = getchar();
    putchar(c);
    BSP_ToggleLED(0);
  }
}

/*************************** End of file ****************************/
